# Manual de usuario de KDE

&Lauri.Watts; &Lauri.Watts.mail;
07 de Junio de 2005
Entorno de escritorio K
kate
1

# `kate`

Editor de texto avanzado para &kde;

    kate -s, --start  nombre  -u, --use -p, --pid pid -e, --encoding  nombre -l, --line  line -c, --column  column -i, --stdin Opciones genéricas de KDE Opciones genéricas de Qt

## Descripción

&kate; es el editor de texto avanzado de &kde;.

&kate; también proporciona el editor que forma parte de varias aplicaciones, bajo el nombre de &kwrite;.

Las características de &kate; incluyen un editor de resaltado de sintaxis configurable en un rango que va desde lenguajes del estilo de C y C++ hasta HTML scripts de bash, la capacidad de crear y mantener proyectos, un interfaz de documentos múltiples (MDI), y un emulador de terminal integrado.

Pero &kate; es más que un editor para programadores. La capacidad de abrir varios archivos a la vez es ideal para editar algunos archivos de configuración de &UNIX;. Este documento se escribió con &kate;.

## Opciones

`-s`, `--start` nombre

  Inicia &kate; con una sesión dada.

`-u, --use`

  Utiliza una instancia en ejecución de &kate;.

`-p, --pid` pid

  Sólo intenta reutilizar una instancia de kate con este pid

`-e, --encoding` nombre

  Selecciona la codificación para el archivo que se va a abrir

  Puede utilizar esto para forzar que un archivo se abra en formato utf-8, por ejemplo. (La orden `iconv -l` proporciona una lista de codificaciones, que le pueden ser útiles).

`-l, --line` línea

  Se desplaza a esta línea

`-c, --column` columna

  Se dirige hacia esta columna.

`-i, --stdin`

  Lee el contenido de `stdin`.

## Véa también

kwrite(1)

Existe información más detallada para el usuario en help:/kate (introduzca esta URL en &konqueror;, o ejecute ``khelpcenter` `help:/kate``).

También existe más información en el sitio web de &kate;.

## Ejemplos

Para abrir un archivo llamado `fuente.cpp` en la columna 15, línea 25, en una ventana de &kate; que ya exista, puede utilizar:

    kate -c 15 -l
    25 -u fuente.cpp

Si tiene una conexión de internet activa, puede utilizar la funcionalidad de &kde; de la transparencia de red para abrir un archivo de un sitio ftp. Sino tiene permisos de escritura en el servidor remoto, el archivo se abrirá en modo de solo lectura y se le preguntará por un nombre de archivo local para guardar los cambios que haya hecho. Si tiene permisos de escritura, los cambios se guardarán de forma transparente en la red.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autores

El mantener de &kate; es &Christoph.Cullmann; &Christoph.Cullmann.mail;. La lista completa de los autores y colaboradores está disponible en el manual completo de usuario mencionado anteriormente.